Bug 664083 - Make sure we're not collecting metrics too quickly
Make sure we're not collecting metrics too quickly
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.0
Unspecified Unspecified
high Severity medium (vote)
: ---
: ---
Assigned To: Filip Drabek
Corey Welton
:
Depends On:
Blocks: jon241-bugs
  Show dependency treegraph
 
Reported: 2010-12-17 18:37 EST by Charles Crouch
Modified: 2015-02-01 18:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:15:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2010-12-17 18:37:25 EST
Install latest 2.4.1 build and the EWS + EAP plugin packs and run the following sql

select 
mdef.default_interval,
mdef.default_on, 
rtype.plugin,
rtype.name,
mdef.name
from rhq_measurement_def as mdef, rhq_resource_type as rtype 
where mdef.resource_type_id=rtype.id and mdef.default_interval < 300000
order by mdef.default_interval;

and attach the results to this case.

The next step is to update the plugins identified in this query so that all their metrics have a collection interval of at least 5mins. Lets leave the core platform plugin metrics  (i.e. one metric per platform) alone for right now, and concentrate on the servers/services of which its easily possibly to have 1000's of.
Comment 1 Heiko W. Rupp 2010-12-21 07:09:32 EST
jon241=# select 
mdef.default_interval,
mdef.default_on, 
rtype.plugin,
rtype.name,
mdef.name
from rhq_measurement_def as mdef, rhq_resource_type as rtype 
where mdef.resource_type_id=rtype.id and mdef.default_interval < 300000 and rtype.plugin not like 'Platforms'
order by mdef.default_interval;
 default_interval | default_on | plugin  |              name              |     name     
------------------+------------+---------+--------------------------------+--------------
            60000 | f          | Tomcat  | Tomcat Web Application (WAR)   | ResponseTime
            60000 | f          | JBossAS | Web Application (WAR)          | ResponseTime
            60000 | f          | JBossAS | Embedded Web Application (WAR) | ResponseTime
            60000 | f          | IIS     | VHost                          | ResponseTime
            60000 | f          | Apache  | Apache Virtual Host            | ResponseTime
(5 rows)
Comment 4 Filip Drabek 2010-12-22 06:55:11 EST
By default collection intervals <300000 ms is set only for CALLTIME metrics.
ResponseTime metrics are CALLTIME metrics which are disabled by default.
In our plugins there are no metrics with defaultInterval < 300 000ms in plugin descriptors.
Only in hardware plugin there are metrics with defaultInterval = 86400, hardware plugin is disabled in build now.
Comment 5 Corey Welton 2011-05-23 21:15:07 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:15:18 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 7 Corey Welton 2011-05-23 21:15:20 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 8 Corey Welton 2011-05-23 21:15:21 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.